# Class: Test

Defined in: | test/Yatta_test.coffee

## Instance Method Summary

- # (void) reinitialize()
- # (void) getSomeUser()
- # (void) getRandomText()
- # (void) generateInsertOp(user_num) Bound
- # (void) generateReplaceOp(user_num) Bound
- # (void) generateDeleteOp(user_num) Bound
- # (void) generateRandomOp(user_num) Bound
- # (void) applyRandomOp(user_num) Bound
- # (void) doSomething()
- # (void) flushAll()
- # (void) compareAll(test_number)
- # (void) run()
- # (void) testHBencoding()

## Constructor Details

# (void) constructor(name_suffix = "")

## Instance Method Details

# (void) reinitialize()

# (void) getSomeUser()

# (void) getRandomText()

# (void) generateInsertOp(user_num) Bound

# (void) generateReplaceOp(user_num) Bound

# (void) generateDeleteOp(user_num) Bound

# (void) generateRandomOp(user_num) Bound

# (void) applyRandomOp(user_num) Bound

# (void) doSomething()

# (void) flushAll()

# (void) compareAll(test_number)

# (void) run()

# (void) testHBencoding()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input